export declare type MsgType = 'text' | 'audio' | 'video' | 'image' | 'cmd' | 'attachment';
export declare type ChatType = 'chat' | 'room' | 'group' | 'push';
export declare class MsgBase {
    id: string;
    from: string;
    to: string;
    type: ChatType;
    ext: Record<string, string>;
    isValid(): boolean;
    static createMsg(baseMsg: Partial<MsgBase>): MsgBase;
}
export declare type GroupOption = {};
